package domain

type AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页信息     */
	Page *AlibabaWdkMarketingItembuygiftQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery) SetPage(v AlibabaWdkMarketingItembuygiftQueryitemsBasePageQuery) *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
